SPA Standard Email Templates
SPA: Updates a Standard Email Template
Updates an existing standard email template.
/api/spa/standard-email-templates/{id}Authorizations
Value for the X-AUTH-TOKEN header parameter.
Path Parameters
StandardEmailTemplate identifier
Request Body
The updated StandardEmailTemplate resource
{
"identifier": "key1",
"description": "Invoice for contract <<contract.number>>",
"body": "<div style=\"padding-bottom: 30px\"> Hi <<customer.firstname>>, <br>\n This is a sample HTML-Template to show you, how to use the power of Output.Rocks ;)\n </div>",
"text": "Email text <<customer.firstname>>",
"subClient": {},
"brandIdentifier": "default",
"active": true,
"activeFrom": "2024-01-01",
"subClientDefault": false
}Response
StandardEmailTemplate resource updated
Identifier generated by Output.Rocks.
Unique identifier
StandardEmailTemplate description / title. <<>>-Syntax can be used for dynamical generation.
Email body <<>>-Syntax can be used for dynamical generation.
Email text <<>>-Syntax can be used for dynamical generation.
User, created this entry
User, updated this entry
UTC date time of entry creation
UTC date time of last entry update
Active flag. Default: true
Date to activate the entry. Default: today
Default for environmental tenants (sub-clients)
SubClient ID. Provided on instances with enabled sub-client module only.
SubClient description. Provided on instances with enabled sub-client module only.